OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class ReparentViaSmb.LightWeightNodeEntry

    java.lang.Object
      org.opennms.netmgt.capsd.ReparentViaSmb.LightWeightNodeEntry

Enclosing class:
  ReparentViaSmb

private static final class ReparentViaSmb.LightWeightNodeEntry
extends java.lang.Object

This class is a lighter weight version of the DbNodeEntry class for use in SMB reparenting.

Field Summary
`private boolean` `m_duplicate`
`private DbNodeEntry` `m_hwNodeEntry`
`private java.lang.String` `m_netbiosName`
`private int` `m_nodeId`

Constructor Summary
`(package private)` `ReparentViaSmb.LightWeightNodeEntry(int nodeID, java.lang.String netbiosName)` Constructs a new LightWeightNodeEntry object.

Method Summary
`boolean` `equals(java.lang.Object o)` Node equality test...currently returns true if the LightWeightNodeEntry objects have the same NetBIOS name.
`(package private) DbNodeEntry` `getHeavyWeightNodeEntry()`
`(package private) java.lang.String` `getNetbiosName()` Returns the NetBIOS name of the node.
`(package private) int` `getNodeId()` Returns the node identifer.
`(package private) boolean` `hasHeavyWeightNodeEntry()`
`(package private) boolean` `isDuplicate()` Returns true if this LightWeightNodeEntry object has been marked as a duplicate, false otherwise.
`(package private) void` `setDuplicate(boolean dupFlag)` Sets the duplicate flag for the node..
`(package private) void` `setHeavyWeightNodeEntry(DbNodeEntry hwNodeEntry)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_nodeId

    private int m_nodeId

### m_netbiosName

    private java.lang.String m_netbiosName

### m_duplicate

    private boolean m_duplicate

### m_hwNodeEntry

    private DbNodeEntry m_hwNodeEntry

Constructor Detail

### ReparentViaSmb.LightWeightNodeEntry

    ReparentViaSmb.LightWeightNodeEntry(int nodeID,
                                        java.lang.String netbiosName)

  Constructs a new LightWeightNodeEntry object.

Parameters:
  `nodeID` - Node's identifier
  `netbiosName` - Node's NetBIOS name

Method Detail

### getNodeId

    int getNodeId()

  Returns the node identifer.

### getNetbiosName

    java.lang.String getNetbiosName()

  Returns the NetBIOS name of the node.

### setDuplicate

    void setDuplicate(boolean dupFlag)

  Sets the duplicate flag for the node..

  Parameters:
    `dupFlag` - the state for the duplicate flag

### isDuplicate

    boolean isDuplicate()

  Returns true if this LightWeightNodeEntry object has been marked as a duplicate, false otherwise.

### setHeavyWeightNodeEntry

    void setHeavyWeightNodeEntry(DbNodeEntry hwNodeEntry)

### getHeavyWeightNodeEntry

    DbNodeEntry getHeavyWeightNodeEntry()

### hasHeavyWeightNodeEntry

    boolean hasHeavyWeightNodeEntry()

### equals

    public boolean equals(java.lang.Object o)

  Node equality test...currently returns true if the LightWeightNodeEntry objects have the same NetBIOS name.

  Returns:
    true if this and the passed object are equivalent.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.